.286
code segment public
assume cs:code,ds:code
extrn resident:near
extrn drawgif:near
extrn reslim:byte
extrn check_inst:near
extrn deinst:near
org 100h
main proc
  call check_inst
  jcxz deinstall

  call drawgif
  mov ax,03h
  int 10h

  lea dx,text_ins
  mov ah,9h
  int 21h
	jmp resident
deinstall:
  lea dx,text_deinst
  mov ah,9h
  int 21h
  jmp deinst

  mov ax,20h
  int 21h
main endp
	text_ins: db 'Trainer installed$'
  text_deinst: db 'Trainer deinstalled$'
code ends
end main
